Subject: Re: bug#17463: 24.3.90; invoking c-mode always loads `cl'

From: Glenn Morris <[email-masked]>
Date: Tue, 13 May 2014 13:59:30 -0400

I think I bisected this to somewhere around r108513 on the current
emacs-24 branch. These are changes related to macro expansion.

108512 is ok  (emacs -Q -f c-mode does not load cc-langs)
108513 fails to build
108514 build infloops?
108515 build infloops?
108516 emacs -Q -f c-mode loads cc-langs

cc-mode tries to do different things in compiled code and uncompiled
code (yay; eg c-make-init-lang-vars-fun, which is what I think is
loading cc-langs). Perhaps we are getting the wrong version.